<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/supply_chain_bg_color"
    android:orientation="vertical">

    <com.qmuiteam.qmui.widget.QMUITopBar
        android:id="@+id/topbar_supplier_list"
        android:layout_width="match_parent"
        android:layout_height="@dimen/head_height"
        android:background="@color/theme_color"
        android:fitsSystemWindows="true"
        app:qmui_topbar_title_color="@color/theme_white_color" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:padding="@dimen/dp_10">

        <LinearLayout
            android:id="@+id/layout_supplier_search"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_47"
            android:background="@drawable/shape_white_eight_corners_bg"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="@dimen/dp_24"
                android:layout_height="@dimen/dp_24"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="@dimen/dp_10"
                android:src="@drawable/ic_search" />

            <EditText
                android:id="@+id/ed_supplier_search"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp_5"
                android:layout_marginRight="@dimen/dp_5"
                android:layout_weight="1"
                android:background="@null"
                android:hint="搜索供應商"
                android:maxLines="1"
                android:textColor="@color/theme_333_color"
                android:textColorHint="@color/hint_color"
                android:textSize="@dimen/dp_16" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaButton
                android:id="@+id/btn_supplier_search"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginTop="@dimen/dp_1"
                android:layout_marginBottom="@dimen/dp_1"
                android:background="@drawable/shape_app_btn"
                android:text="搜索"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_14" />
        </LinearLayout>

        <com.scwang.smartrefresh.layout.SmartRefreshLayout
            android:id="@+id/srl_supplier"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@id/btn_layout"
            android:layout_below="@id/layout_supplier_search">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_supplier_list"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />
        </com.scwang.smartrefresh.layout.SmartRefreshLayout>


        <LinearLayout
            android:id="@+id/btn_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="@dimen/dp_10"
            android:orientation="horizontal">

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_new_supplier"
                style="@style/Save_Btn_Style"
                android:paddingTop="@dimen/dp_11"
                android:paddingBottom="@dimen/dp_11"
                android:text="+新增供應商"
                android:visibility="visible" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_supplier_confirm"
                style="@style/Save_Btn_Style"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:paddingTop="@dimen/dp_11"
                android:paddingBottom="@dimen/dp_11"
                android:text="確定"
                android:visibility="gone" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_supplier_cancel"
                style="@style/Save_Btn_Style"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_weight="1"
                android:background="@drawable/shape_black_border_small_radius"
                android:paddingTop="@dimen/dp_11"
                android:paddingBottom="@dimen/dp_11"
                android:text="取消"
                android:textColor="@color/color_3c"
                android:visibility="gone" />
        </LinearLayout>
    </RelativeLayout>

</LinearLayout>